Retrieve a list of positions
Returns a list of positions for the authenticated user
x-api-key<token>
In: header
Query Parameters
limit?integer
Range
0 < value <= 2000Default
20cursor?string
connector?string
status?array<>
orderBy?|||
Default
"-createdAt"Header Parameters
X-Trade-Account-Id*string
UUID of the trade account the request acts on. Must belong to the authenticated user.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/positions" \ -H "X-Trade-Account-Id: 3fa85f64-5717-4562-b3fc-2c963f66afa6"{ "limit": 0, "nextCursor": "string", "positions": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "tradeAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "connector": "hyperliquid", "status": "OPEN", "closedReason": "NETTED", "origin": "PEAR", "exposure": { "property1": "+42.5", "property2": "+42.5" }, "unstableHistoricalData": true, "totalFundingPayment": { "property1": "+42.5", "property2": "+42.5" }, "closedAt": "string", "initialExposureUSD": { "property1": "+42.5", "property2": "+42.5" }, "entryPrices": { "property1": "1250.75", "property2": "1250.75" }, "createdAt": "string", "updatedAt": "string" } ]}